%define anolis_release 1

%undefine _package_note_flags
%global golang_arches NONE

%global test_arches NONE
%global _changelog_trimtime %(date +%s -d "2 years ago")
%global source_directory 1.54-stable
%{?perl_default_filter}
%undefine _strict_symbol_defs_build

Summary:       Access and modify virtual machine disk images
Name:          libguestfs
Epoch:         1
Version:       1.54.0
Release:       %{anolis_release}%{?dist}
License:       LGPL-2.1-or-later

ExclusiveArch: x86_64 aarch64 loongarch64
URL:           http://libguestfs.org/
Source0:       http://libguestfs.org/download/%{source_directory}/%{name}-%{version}.tar.gz
Source4:       README-replacement.in
Source5:       guestfish.sh
Source6:       yum.conf.in

Patch1000:     1001-add-support-for-anolis.patch

# https://github.com/libguestfs/libguestfs/commit/0edaea8f91bf08025651eeff32f53b9335003842
Patch0001:     1001-website-Add-links-for-1.54-and-1.55-download-locatio.patch
# https://github.com/libguestfs/libguestfs/commit/c25ff1a8022cf345d3ce29682207ed3732a4244a 
Patch0002:     1002-tests-gdisk-test-expand-gpt.pl-Implement-SKIP-rule-f.patch
# https://github.com/libguestfs/libguestfs/commit/0f489f8eec0c02e9ed1d606a2032edccf81ef025
Patch0003:     1003-lib-inspect-osinfo.c-Add-Windows-Server-2025-osinfo.patch
# https://github.com/libguestfs/libguestfs-common/commit/01c53226065e378505550b368896a4d0105ace7a
Patch0004:     1004-build-Assume-__attribute__-cleanup-always-works.patch
# https://github.com/libguestfs/libguestfs/commit/53632b4b8245a6dd67c95015d52d1f4c562b14ed
Patch0005:     1005-appliance-Use-stable-owner-group-and-mtime-in-applia.patch
# https://github.com/libguestfs/libguestfs/commit/798e3e59b2af5057521c170268c03ab88aaf1307
Patch0006:     1006-appliance-Refactor-the-TAR_COMMAND-macro.patch
# https://github.com/libguestfs/libguestfs/commit/53872a0a1a267040677572c30b68bd1e8b62ebe3
Patch0007:     1007-build-Add-new-dependency-on-json-c.patch
# https://github.com/libguestfs/libguestfs/commit/5ea1e899e00f49ed27f25697e632d864760faf96
Patch0008:     1008-daemon-ldm.c-Replace-jansson-with-json-c.patch
# https://github.com/libguestfs/libguestfs/commit/13e3222f3463578ab18ee8efc8502c6dfd9f51a4
Patch0010:     1010-lib-info.c-Replace-jansson-with-json-c.patch
# https://github.com/libguestfs/libguestfs/commit/47857751a78108617e1e25d4949564bc2a182381
Patch0011:     1011-lib-direct-Remove-test-for-qemu-mandatory-locking.patch
# https://github.com/libguestfs/libguestfs/commit/9e3c1f44cafc2ce568462fcedc0033cab7d94cae
Patch0012:     1012-lib-qemu.c-Replace-jansson-with-json-c.patch
# https://github.com/libguestfs/libguestfs/commit/9255abee029e35dd5c6783b8b6037eb71104650c
Patch0013:     1013-build-Remove-Jansson-dependency.patch
# https://github.com/libguestfs/libguestfs/commit/a47e2cf6a8972a7e81561c6b1959dadeeacc9dbe
Patch0014:     1014-website-Fix-link-to-latest-development-version.patch

BuildRequires: autoconf, automake, libtool, gettext-devel

# Basic build requirements.
BuildRequires: gcc, gcc-c++
BuildRequires: make
BuildRequires: rpcgen
BuildRequires: libtirpc-devel
BuildRequires: supermin-devel >= 5.1.18
BuildRequires: hivex-devel >= 1.3.10
BuildRequires: ocaml-hivex-devel
BuildRequires: perl(Pod::Simple)
BuildRequires: perl(Pod::Man)
BuildRequires: /usr/bin/pod2text
BuildRequires: po4a
BuildRequires: augeas-devel >= 1.7.0
BuildRequires: ocaml-augeas-devel >= 0.6
BuildRequires: readline-devel
BuildRequires: xorriso
BuildRequires: libxml2-devel
BuildRequires: createrepo_c
BuildRequires: glibc-static
BuildRequires: libselinux-utils
BuildRequires: libselinux-devel
BuildRequires: pkgconfig(fuse)
BuildRequires: pcre2-devel
BuildRequires: file-devel
BuildRequires: libvirt-devel
BuildRequires: gperf
BuildRequires: flex
BuildRequires: bison
BuildRequires: rpm-devel
BuildRequires: cpio
BuildRequires: libconfig-devel
BuildRequires: xz-devel
BuildRequires: zip
BuildRequires: unzip
BuildRequires: systemd-units
BuildRequires: netpbm-progs
BuildRequires: icoutils
BuildRequires: libvirt-daemon-kvm >= 7.1.0
BuildRequires: libacl-devel
BuildRequires: libcap-devel
BuildRequires: json-c-devel
BuildRequires: systemd-devel
BuildRequires: bash-completion
BuildRequires: /usr/bin/ping
BuildRequires: /usr/bin/wget
BuildRequires: xz
BuildRequires: zstd
BuildRequires: /usr/bin/qemu-img

# For language bindings.
BuildRequires: ocaml
BuildRequires: ocaml-runtime
BuildRequires: ocaml-compiler-libs
BuildRequires: ocaml-ocamldoc
BuildRequires: ocaml-findlib-devel
BuildRequires: lua
BuildRequires: lua-devel
BuildRequires: perl-devel
BuildRequires: perl-generators
BuildRequires: perl-macros
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.00
BuildRequires: perl(Test::Pod::Coverage) >= 1.00
BuildRequires: perl(Module::Build)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Locale::TextDomain)
BuildRequires: python3-devel
BuildRequires: python3-libvirt
BuildRequires: ruby-devel
BuildRequires: rubygem-rake
# json is not pulled in automatically, see RHBZ#1325022
BuildRequires: rubygem(json)
BuildRequires: rubygem(rdoc)
BuildRequires: rubygem(test-unit)
BuildRequires: ruby-irb
BuildRequires: php-devel
BuildRequires: gobject-introspection-devel
BuildRequires: gjs
BuildRequires: vala
%ifarch %{golang_arches}
BuildRequires: golang
%endif

# Build requirements for the appliance.
#
# Get the initial list by doing:
#   for f in `cat appliance/packagelist`; do echo $f; done | sort -u
# However you have to edit the list down to packages which exist in
# current Fedora, since supermin ignores non-existent packages.

BuildRequires: acl
BuildRequires: attr
BuildRequires: augeas-libs
BuildRequires: bash
BuildRequires: binutils
BuildRequires: btrfs-progs
BuildRequires: bzip2
BuildRequires: clevis-luks
BuildRequires: coreutils
BuildRequires: cpio
BuildRequires: cryptsetup
BuildRequires: dhclient
BuildRequires: diffutils
BuildRequires: dosfstools
BuildRequires: e2fsprogs
BuildRequires: file
BuildRequires: findutils
BuildRequires: gawk
BuildRequires: gdisk
BuildRequires: grep
BuildRequires: gzip
BuildRequires: hfsplus-tools
BuildRequires: hivex-libs
BuildRequires: iproute
BuildRequires: iputils
BuildRequires: kernel
BuildRequires: kmod
BuildRequires: less
BuildRequires: libcap
BuildRequires: libselinux
BuildRequires: libxml2
BuildRequires: lsof
BuildRequires: lsscsi
BuildRequires: lvm2
BuildRequires: lzop
BuildRequires: mdadm
BuildRequires: openssh-clients
BuildRequires: parted
BuildRequires: pciutils
BuildRequires: pcre2
BuildRequires: policycoreutils
BuildRequires: procps
BuildRequires: psmisc
BuildRequires: rpm-libs
BuildRequires: rsync
BuildRequires: scrub
BuildRequires: sed
BuildRequires: squashfs-tools
BuildRequires: strace
%ifarch x86_64
BuildRequires: syslinux syslinux-extlinux
%endif
BuildRequires: systemd
BuildRequires: tar
BuildRequires: udev
BuildRequires: util-linux
BuildRequires: vim-minimal
BuildRequires: xfsprogs
BuildRequires: xz
BuildRequires: yajl
BuildRequires: zstd

# Main package requires the appliance.  This allows the appliance to
# be replaced if there exists a package called
# "libguestfs-noappliance".  This package is not provided anywhere,
# you have to provide the dependency or make the package yourself.  If
# you do then libguestfs won't install the appliance and you are free
# to replace it with (eg) a fixed appliance.
Requires:      (%{name}-appliance = %{epoch}:%{version}-%{release} or %{name}-noappliance)

# The daemon dependencies are not included automatically, because it
# is buried inside the appliance, so list them here.
Requires:      augeas-libs >= 1.7.0
Requires:      libacl
Requires:      libcap
Requires:      libselinux
Requires:      hivex-libs >= 1.3.10
Requires:      pcre2
Requires:      rpm-libs >= 4.16.1.3
Requires:      systemd-libs
Requires:      yajl

# For core mount-local (FUSE) API.
Requires:      fuse

# For core APIs:
Requires:      /usr/bin/qemu-img
Requires:      coreutils
Requires:      grep
Requires:      tar

# libguestfs-make-fixed-appliance requires xz.
Requires:      xz

# For qemu direct and libvirt backends.
Requires:      qemu-kvm-core
Suggests:      qemu-block-curl
Suggests:      qemu-block-gluster
Suggests:      qemu-block-iscsi
Suggests:      qemu-block-ssh
Recommends:    libvirt-daemon-config-network
Requires:      libvirt-daemon-driver-qemu >= 7.1.0
Requires:      libvirt-daemon-driver-secret
Requires:      libvirt-daemon-driver-storage-core
Requires:      selinux-policy >= 3.11.1-63

%ifarch aarch64
Requires:      edk2-aarch64
%endif

# For guestfish.
#Requires:      /usr/bin/emacs #theoretically, but too large
Requires:      /usr/bin/hexedit
Requires:      /usr/bin/less
Requires:      /usr/bin/man
Requires:      /usr/bin/vi

Conflicts:     libguestfs-winsupport

%description
Libguestfs is a library for accessing and modifying virtual machine
disk images.  http://libguestfs.org

Libguestfs uses Linux kernel and qemu code, and can access any type of
guest filesystem that Linux and qemu can, including but not limited
to: ext2/3/4, btrfs, FAT and NTFS, LVM, many different disk partition
schemes, qcow, qcow2, vmdk.

For enhanced features, install:

 libguestfs-inspect-icons  adds support for inspecting guest icons
        libguestfs-rescue  enhances virt-rescue shell with more tools
         libguestfs-rsync  rsync to/from guest filesystems
           libguestfs-xfs  adds XFS support

For developers:

         libguestfs-devel  C/C++ header files and library

Language bindings:

 libguestfs-gobject-devel  GObject bindings and GObject Introspection
%ifarch %{golang_arches}
           golang-guestfs  Go language bindings
%endif
              lua-guestfs  Lua bindings
   ocaml-libguestfs-devel  OCaml bindings
         perl-Sys-Guestfs  Perl bindings
           php-libguestfs  PHP bindings
       python3-libguestfs  Python 3 bindings
          ruby-libguestfs  Ruby bindings
          libguestfs-vala  Vala language bindings


%package appliance
Summary:       Appliance for %{name}
Requires:      supermin >= 5.1.18


%description appliance
%{name}-appliance provides the appliance used by libguestfs.


%package devel
Summary:       Development tools and libraries for %{name}
Requires:      %{name} = %{epoch}:%{version}-%{release}
Requires:      pkgconfig


%description devel
%{name}-devel contains development tools and libraries
for %{name}.


%package rescue
Summary:       virt-rescue shell
License:       LGPLv2+
Requires:      %{name} = %{epoch}:%{version}-%{release}

%description rescue
This adds the virt-rescue shell which is a "rescue disk" for virtual
machines, and additional tools to use inside the shell such as ssh,
network utilities, editors and debugging utilities.


%package rsync
Summary:       rsync support for %{name}
License:       LGPLv2+
Requires:      %{name} = %{epoch}:%{version}-%{release}

%description rsync
This adds rsync support to %{name}.  Install it if you want to use
rsync to upload or download files into disk images.

%package xfs
Summary:       XFS support for %{name}
License:       LGPLv2+
Requires:      %{name}%{?_isa} = %{epoch}:%{version}-%{release}

%description xfs
This adds XFS support to %{name}.  Install it if you want to process
disk images containing XFS.


%package inspect-icons
Summary:       Additional dependencies for inspecting guest icons
License:       LGPLv2+
BuildArch:     noarch
Requires:      %{name} = %{epoch}:%{version}-%{release}

Requires:      netpbm-progs
Requires:      icoutils


%description inspect-icons
%{name}-inspect-icons is a metapackage that pulls in additional
dependencies required by libguestfs to pull icons out of non-Linux
guests.  Install this package if you want libguestfs to be able to
inspect non-Linux guests and display icons from them.

The only reason this is a separate package is to avoid core libguestfs
having to depend on Perl.


%package bash-completion
Summary:       Bash tab-completion scripts for %{name} tools
BuildArch:     noarch
Requires:      bash-completion >= 2.0


%description bash-completion
Install this package if you want intelligent bash tab-completion
for guestfish, guestmount and various virt-* tools.

%package -n ocaml-%{name}
Summary:       OCaml bindings for %{name}
Requires:      %{name} = %{epoch}:%{version}-%{release}


%description -n ocaml-%{name}
ocaml-%{name} contains OCaml bindings for %{name}.

This is for toplevel and scripting access only.  To compile OCaml
programs which use %{name} you will also need ocaml-%{name}-devel.


%package -n ocaml-%{name}-devel
Summary:       OCaml bindings for %{name}
Requires:      ocaml-%{name} = %{epoch}:%{version}-%{release}


%description -n ocaml-%{name}-devel
ocaml-%{name}-devel contains development libraries
required to use the OCaml bindings for %{name}.


%package -n perl-Sys-Guestfs
Summary:       Perl bindings for %{name} (Sys::Guestfs)
Requires:      %{name} = %{epoch}:%{version}-%{release}


%description -n perl-Sys-Guestfs
perl-Sys-Guestfs contains Perl bindings for %{name} (Sys::Guestfs).


%package -n python3-%{name}
Summary:       Python 3 bindings for %{name}
Requires:      %{name} = %{epoch}:%{version}-%{release}
%{?python_provide:%python_provide python3-%{name}}


%description -n python3-%{name}
python3-%{name} contains Python 3 bindings for %{name}.


%package -n ruby-%{name}
Summary:       Ruby bindings for %{name}
Requires:      %{name} = %{epoch}:%{version}-%{release}
Requires:      ruby(release)
Requires:      ruby
Provides:      ruby(guestfs) = %{version}

%description -n ruby-%{name}
ruby-%{name} contains Ruby bindings for %{name}.


%package -n php-%{name}
Summary:       PHP bindings for %{name}
Requires:      %{name} = %{epoch}:%{version}-%{release}
Requires:	php(zend-abi) = %{php_zend_api}
Requires:	php(api) = %{php_core_api}

%description -n php-%{name}
php-%{name} contains PHP bindings for %{name}.


%package -n lua-guestfs
Summary:       Lua bindings for %{name}
Requires:      %{name} = %{epoch}:%{version}-%{release}
Requires:      lua

%description -n lua-guestfs
lua-guestfs contains Lua bindings for %{name}.


%package gobject
Summary:       GObject bindings for %{name}
Requires:      %{name} = %{epoch}:%{version}-%{release}

%description gobject
%{name}-gobject contains GObject bindings for %{name}.

To develop software against these bindings, you need to install
%{name}-gobject-devel.


%package gobject-devel
Summary:       GObject bindings for %{name}
Requires:      %{name}-gobject = %{epoch}:%{version}-%{release}

%description gobject-devel
%{name}-gobject contains GObject bindings for %{name}.

This package is needed if you want to write software using the
GObject bindings.  It also contains GObject Introspection information.

%package vala
Summary:       Vala for %{name}
Requires:      %{name}-devel = %{epoch}:%{version}-%{release}
Requires:      vala

%description vala
%{name}-vala contains GObject bindings for %{name}.

%ifarch %{golang_arches}
%package -n golang-guestfs
Summary:       Golang bindings for %{name}
BuildArch:     noarch
Requires:      %{name} = %{epoch}:%{version}-%{release}
Requires:      golang
Provides:      golang(libguestfs.org) = %{epoch}:%{version}-%{release}

%description -n golang-guestfs
golang-%{name} contains Go language bindings for %{name}.
%endif


%package man-pages-ja
Summary:       Japanese (ja) man pages for %{name}
BuildArch:     noarch
Requires:      %{name} = %{epoch}:%{version}-%{release}

%description man-pages-ja
%{name}-man-pages-ja contains Japanese (ja) man pages
for %{name}.


%package man-pages-uk
Summary:       Ukrainian (uk) man pages for %{name}
BuildArch:     noarch
Requires:      %{name} = %{epoch}:%{version}-%{release}

%description man-pages-uk
%{name}-man-pages-uk contains Ukrainian (uk) man pages
for %{name}.

%package doc
Summary:        Doc files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description doc
Doc files for %{name}


%prep
%autosetup -p1

autoreconf -i

# For sVirt to work, the local temporary directory we use in the tests
# must be labelled the same way as /tmp.  This doesn't work if either
# the directory is on NFS (no SELinux labels) or if SELinux is
# disabled, hence the tests.
if [ "$(stat -f -L -c %T .)" != "nfs" ] && \
   [ "$(getenforce | tr '[A-Z]' '[a-z]')" != "disabled" ]; then
    chcon --reference=/tmp tmp
fi

# Replace developer-centric README that ships with libguestfs, with
# our replacement file.
mv README README.orig
sed 's/@VERSION@/%{version}/g' < %{SOURCE4} > README


%build
# Test if network is available.
ip addr list ||:
ip route list ||:
if ping -c 3 -w 20 8.8.8.8 && wget http://libguestfs.org -O /dev/null; then
  extra=
else
  mkdir cachedir repo
  # -n 1 because of RHBZ#980502.
  find /var/cache/{dnf,yum} -type f -name '*.rpm' -print0 | \
    xargs -0 -n 1 cp -t repo
  createrepo_c repo
  sed -e "s|@PWD@|$(pwd)|" %{SOURCE6} > yum.conf
  extra=--with-supermin-packager-config=$(pwd)/yum.conf
fi

%{configure} \
  PYTHON=%{__python3} \
  --with-default-backend=libvirt \
  --enable-appliance-format-auto \
  --with-extra="release=%{release},libvirt" \
%ifnarch %{golang_arches}
  --disable-golang \
%endif
  --without-java \
  --disable-erlang \
  --disable-gobject \
  --disable-lua \
  --disable-php \
  --disable-ruby \
  $extra

# 'INSTALLDIRS' ensures that Perl and Ruby libs are installed in the
# vendor dir not the site dir.
%make_build INSTALLDIRS=vendor

%check
%ifarch %{test_arches}
if grep CONFIG_DEBUG_MUTEXES=y /lib/modules/*/config ; then
    echo "Skipping tests because debug kernel is installed"
    exit 0
fi

export LIBGUESTFS_DEBUG=1
export LIBGUESTFS_TRACE=1
export LIBVIRT_DEBUG=1

if ! make quickcheck QUICKCHECK_TEST_TOOL_ARGS="-t 1200"; then
    cat $HOME/.cache/libvirt/qemu/log/*
    exit 1
fi
%endif


%install
# 'INSTALLDIRS' ensures that Perl and Ruby libs are installed in the
# vendor dir not the site dir.
make DESTDIR=$RPM_BUILD_ROOT INSTALLDIRS=vendor install

# Delete static libraries.
rm $( find $RPM_BUILD_ROOT -name '*.a' | grep -v /ocaml/ )

# Delete libtool files.
find $RPM_BUILD_ROOT -name '*.la' -delete

# Delete some bogus Perl files.
find $RPM_BUILD_ROOT -name perllocal.pod -delete
find $RPM_BUILD_ROOT -name .packlist -delete
find $RPM_BUILD_ROOT -name '*.bs' -delete
find $RPM_BUILD_ROOT -name 'bindtests.pl' -delete

# golang: Ignore what libguestfs upstream installs, and just copy the
# source files to %%{_datadir}/gocode/src.
%ifarch %{golang_arches}
rm -r $RPM_BUILD_ROOT/usr/lib/golang
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gocode/src
cp -a golang/src/libguestfs.org $RPM_BUILD_ROOT%{_datadir}/gocode/src
%endif

# Split up the monolithic packages file in the supermin appliance so
# we can install dependencies in subpackages.
pushd $RPM_BUILD_ROOT%{_libdir}/guestfs/supermin.d

function remove
{
    grep -Ev "^$1$" < packages > packages-t
    mv packages-t packages
}

function move_to
{
    if ! grep -Esq "^$1$" packages; then
        echo "move_to $1: package name not found in packages file"
        exit 1
    fi
    remove "$1"
    echo "$1" >> "$2"
}

remove sleuthkit
remove gfs2-utils
move_to hfsplus-tools   zz-packages-hfsplus

move_to iputils         zz-packages-rescue
move_to lsof            zz-packages-rescue
move_to openssh-clients zz-packages-rescue
move_to pciutils        zz-packages-rescue
move_to strace          zz-packages-rescue
move_to vim-minimal     zz-packages-rescue
move_to rsync           zz-packages-rsync
move_to xfsprogs        zz-packages-xfs
remove zfs-fuse


popd

# If there is a bogus dependency on kernel-*, rename it to 'kernel'
pushd $RPM_BUILD_ROOT%{_libdir}/guestfs/supermin.d
sed -i 's/^kernel-.*/kernel/' packages
popd

# Guestfish colour prompts.
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install -m 0644 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d

# Remove the .gitignore file from ocaml/html which will be copied to docdir.
%ifnarch loongarch64
rm ocaml/html/.gitignore
%endif


# Find locale files.
%find_lang %{name}

%generate_compatibility_deps


%files -f %{name}.lang
%license COPYING COPYING.LIB
%{_bindir}/guestfish
%{_bindir}/guestmount
%{_bindir}/guestunmount
%{_bindir}/libguestfs-test-tool
%{_bindir}/virt-copy-in
%{_bindir}/virt-copy-out
%{_bindir}/virt-tar-in
%{_bindir}/virt-tar-out
%{_sbindir}/libguestfs-make-fixed-appliance
%{_libdir}/libguestfs.so.*
%{_mandir}/man1/guestfish.1*
%{_mandir}/man1/guestfs-faq.1*
%{_mandir}/man1/guestfs-performance.1*
%{_mandir}/man1/guestfs-recipes.1*
%{_mandir}/man1/guestfs-release-notes-1*.1*
%{_mandir}/man1/guestfs-release-notes.1*
%{_mandir}/man1/guestfs-security.1*
%{_mandir}/man1/guestmount.1*
%{_mandir}/man1/guestunmount.1*
%{_mandir}/man1/libguestfs-make-fixed-appliance.1*
%{_mandir}/man1/libguestfs-test-tool.1*
%{_mandir}/man1/virt-copy-in.1*
%{_mandir}/man1/virt-copy-out.1*
%{_mandir}/man1/virt-tar-in.1*
%{_mandir}/man1/virt-tar-out.1*
%{_mandir}/man5/libguestfs-tools.conf.5*
%config %{_sysconfdir}/profile.d/guestfish.sh
%config(noreplace) %{_sysconfdir}/libguestfs-tools.conf
%dir %{abidir}
%{abidir}/libguestfs.dump
%{abidir}/*-option.list


%files appliance
%{_libdir}/guestfs/
%exclude %{_libdir}/guestfs/supermin.d/zz-packages-*


%files devel
%doc examples/*.c
%{_libdir}/libguestfs.so
%{_mandir}/man1/guestfs-building.1*
%{_mandir}/man1/guestfs-hacking.1*
%{_mandir}/man1/guestfs-internals.1*
%{_mandir}/man1/guestfs-testing.1*
%{_mandir}/man3/guestfs.3*
%{_mandir}/man3/guestfs-examples.3*
%{_mandir}/man3/libguestfs.3*
%{_includedir}/guestfs.h
%{_libdir}/pkgconfig/libguestfs.pc


%files rsync
%{_libdir}/guestfs/supermin.d/zz-packages-rsync

%files rescue
%{_libdir}/guestfs/supermin.d/zz-packages-rescue
%{_bindir}/virt-rescue
%{_mandir}/man1/virt-rescue.1*

%files xfs
%{_libdir}/guestfs/supermin.d/zz-packages-xfs

%files inspect-icons
# no files


%files bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/guestfish
%{_datadir}/bash-completion/completions/guestmount
%{_datadir}/bash-completion/completions/guestunmount
%{_datadir}/bash-completion/completions/libguestfs-test-tool
%{_datadir}/bash-completion/completions/virt-copy-in
%{_datadir}/bash-completion/completions/virt-copy-out
%{_datadir}/bash-completion/completions/virt-rescue
%{_datadir}/bash-completion/completions/virt-tar-in
%{_datadir}/bash-completion/completions/virt-tar-out


%files -n ocaml-%{name}
%{_libdir}/ocaml/guestfs
%exclude %{_libdir}/ocaml/guestfs/*.a
%exclude %{_libdir}/ocaml/guestfs/*.cmxa
%exclude %{_libdir}/ocaml/guestfs/*.cmx
%exclude %{_libdir}/ocaml/guestfs/*.mli
%{_libdir}/ocaml/stublibs/dllmlguestfs.so
%{_libdir}/ocaml/stublibs/dllmlguestfs.so.owner
%{abidir}/dllmlguestfs.dump


%files -n ocaml-%{name}-devel
%doc ocaml/examples/*.ml ocaml/html
%{_libdir}/ocaml/guestfs/*.a
%{_libdir}/ocaml/guestfs/*.cmxa
%{_libdir}/ocaml/guestfs/*.cmx
%{_libdir}/ocaml/guestfs/*.mli
%{_mandir}/man3/guestfs-ocaml.3*


%files -n perl-Sys-Guestfs
%doc perl/examples/*.pl
%{perl_vendorarch}/*
%{_mandir}/man3/Sys::Guestfs.3pm*
%{_mandir}/man3/guestfs-perl.3*
%{abidir}/Guestfs.dump


%files -n python3-%{name}
%doc python/examples/*.py
%{python3_sitearch}/libguestfsmod*.so
%{python3_sitearch}/guestfs.py
%{python3_sitearch}/__pycache__/guestfs*.py*
%{_mandir}/man3/guestfs-python.3*
%{abidir}/libguestfsmod.cpython-*.dump


%files -n ruby-%{name}
%doc ruby/examples/*.rb
%doc ruby/doc/site/*


%files -n php-%{name}
%doc php/README-PHP


%files -n lua-guestfs
%doc lua/examples/*.lua
%doc lua/examples/LICENSE


%files gobject


%files gobject-devel


%files vala


%ifarch %{golang_arches}
%files -n golang-guestfs
%doc golang/examples/*.go
%doc golang/examples/LICENSE
%{_datadir}/gocode/src/libguestfs.org
%{_mandir}/man3/guestfs-golang.3*
%endif


%files man-pages-ja
%lang(ja) %{_mandir}/ja/man1/*.1*
%lang(ja) %{_mandir}/ja/man3/*.3*
%lang(ja) %{_mandir}/ja/man5/*.5*


%files man-pages-uk
%lang(uk) %{_mandir}/uk/man1/*.1*
%lang(uk) %{_mandir}/uk/man3/*.3*
%lang(uk) %{_mandir}/uk/man5/*.5*

%files doc
%doc AUTHORS HACKING TODO README


%changelog
* Tue Mar 25 2025 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:1.54.0-1
- Update to 1.54.0 from 1.50.1
- Close %check
- Migrated to SPDX license
- Add patches to fix bug and replace jansson with json-c

* Mon Apr 1 2024 Pengda Dou <doupengda@loongson.cn> - 1:1.50.1-2
- add support for loongarch64

* Fri Mar 17 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:1.50.1-1
- init from upstream
